---
type: api
title: Get stream attachments
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-streams-streamname-attachments
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-get-streams-streamname-attachments
products:
  - Kibana
---

# Get stream attachments

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/streams/{streamName}/attachments`
- `GET` `/s/{space_id}/api/streams/{streamName}/attachments`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

#### Path Parameters

- `streamName` (string · max: 200)
  The name of the stream

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Fetches all attachments linked to a stream that are visible to the current user in the current space. Optionally filter by attachment types, search query, and tags.<br/><br/>[Required authorization] Route required privileges: read_stream.

## Query String Parameters

- `query` (string · max: 1000)
  Search query to filter attachments by title
- `attachmentTypes` ([] enum  · max: 3)
  Filter by attachment types (single value or array)
  Values: `dashboard`, `rule`, `slo`
- `tags` ([] string · max: 100)
  Filter by tags (single value or array)

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

Successfully retrieved attachments

## Code Examples

#### Console

```console
GET /api/streams/{streamName}/attachments
{}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/streams/{streamName}/attachments" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Response Examples

#### List attachments

```json
{
  "attachments": [
    {
      "createdAt": "2023-02-23T16:15:47.275Z",
      "description": "Dashboard for monitoring production services",
      "id": "dashboard-123",
      "streamNames": [
        "logs.awsfirehose",
        "logs.nginx"
      ],
      "tags": [
        "monitoring",
        "production"
      ],
      "title": "My Dashboard",
      "type": "dashboard",
      "updatedAt": "2023-03-24T14:39:17.636Z"
    }
  ]
}
```

